org.wildfly.swarm.microprofile.openapi.api.models.media

## Class EncodingImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.media.EncodingImpl

- All Implemented Interfaces:
    ModelImpl

      public class EncodingImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Encoding` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Encoding` | `allowReserved(Boolean allowReserved)`
    `Encoding` | `contentType(String contentType)`
    `Encoding` | `explode(Boolean explode)`
    `Boolean` | `getAllowReserved()`
    `String` | `getContentType()`
    `Boolean` | `getExplode()`
    `Map<String,Header>` | `getHeaders()`
    `Style` | `getStyle()`
    `Encoding` | `headers(Map<String,Header> headers)`
    `void` | `setAllowReserved(Boolean allowReserved)`
    `void` | `setContentType(String contentType)`
    `void` | `setExplode(Boolean explode)`
    `void` | `setHeaders(Map<String,Header> headers)`
    `void` | `setStyle(Style style)`
    `Encoding` | `style(Style style)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingImpl

          public EncodingImpl()

  - ### Method Detail

    - #### contentType

          public Encoding contentType(String contentType)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#contentType(java.lang.String)`

    - #### getContentType

          public String getContentType()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#getContentType()`

    - #### setContentType

          public void setContentType(String contentType)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#setContentType(java.lang.String)`

    - #### headers

          public Encoding headers(Map<String,Header> headers)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#headers(java.util.Map)`

    - #### getHeaders

          public Map<String,Header> getHeaders()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#getHeaders()`

    - #### setHeaders

          public void setHeaders(Map<String,Header> headers)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#setHeaders(java.util.Map)`

    - #### style

          public Encoding style(Style style)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#style(org.eclipse.microprofile.openapi.models.media.Encoding.Style)`

    - #### getStyle

          public Style getStyle()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#getStyle()`

    - #### setStyle

          public void setStyle(Style style)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#setStyle(org.eclipse.microprofile.openapi.models.media.Encoding.Style)`

    - #### explode

          public Encoding explode(Boolean explode)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#explode(java.lang.Boolean)`

    - #### getExplode

          public Boolean getExplode()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#getExplode()`

    - #### setExplode

          public void setExplode(Boolean explode)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#setExplode(java.lang.Boolean)`

    - #### allowReserved

          public Encoding allowReserved(Boolean allowReserved)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#allowReserved(java.lang.Boolean)`

    - #### getAllowReserved

          public Boolean getAllowReserved()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#getAllowReserved()`

    - #### setAllowReserved

          public void setAllowReserved(Boolean allowReserved)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Encoding#setAllowReserved(java.lang.Boolean)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.